const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/v3/container-tags/{containerTag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/container-tags/{containerTag}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/v3/container-tags/{containerTag} \
--header 'Authorization: Bearer <token>'{
"containerTag": "sm_project_default",
"name": "<string>",
"entityContext": "This project contains research papers about machine learning.",
"memoryFilesystemPaths": [
"/memory/",
"/user.md"
],
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Get container tag settings
Get settings for a container tag
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/v3/container-tags/{containerTag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/v3/container-tags/{containerTag}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/v3/container-tags/{containerTag} \
--header 'Authorization: Bearer <token>'{
"containerTag": "sm_project_default",
"name": "<string>",
"entityContext": "This project contains research papers about machine learning.",
"memoryFilesystemPaths": [
"/memory/",
"/user.md"
],
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Container tag settings retrieved successfully
Container tag settings including entity context
The container tag identifier
100^[a-zA-Z0-9_:-]+$"sm_project_default"
Display name for this container tag
Custom context prompt for this container tag. Used to provide additional context when processing documents in this container.
"This project contains research papers about machine learning."
Per-tag allowlist of filesystem paths that trigger memory generation for mount-ingested documents. Docs whose filepath does not match are ingested as 'superrag' (chunked and searchable, no memory extraction).
["/memory/", "/user.md"]
Container-tag-level buckets added on top of the org buckets (add-only)
50Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
Was this page helpful?